Skip to main content
GET
Get dubbing job status

Authorizations

Authorization
string
header
required

Use Authorization: Bearer pyai_live_... (or pyai_test_...).

Path Parameters

job_id
string
required

Response

Current job state.

job_id
string
required
status
enum<string>
required
Available options:
queued,
running,
done,
error
stage
string | null

Current processing stage, such as transcribe, refs, render or done. Do not treat stage names as a closed enum.

progress
object
source_seconds
number
Required range: x >= 0
dubbed_seconds
number | null
Required range: x >= 0
media_kind
enum<string>
Available options:
audio,
video
segments
integer | null
audio_url
string

Relative authenticated audio-download path; present after done.

video_url
string

Relative authenticated video-download path; only present when a video output exists.

outputs
object
error
string | null

Failure detail when status is error.

error_code
string

Stable failure code when status is error.